CamelSpoolSummary
3
CAMEL Library

# CamelSpoolSummary

## Synopsis

                        CamelSpoolSummary;
    void                camel_spool_summary_construct       (CamelSpoolSummary *new,
                                                             const char *filename,
                                                             const char *spool_name,
                                                             CamelIndex *index);
    CamelSpoolSummary*  camel_spool_summary_new             (struct _CamelFolder *,
                                                             const char *filename);
    int                 camel_spool_summary_load            (CamelSpoolSummary *cls,
                                                             int forceindex,
                                                             CamelException *ex);
    int                 camel_spool_summary_check           (CamelSpoolSummary *cls,
                                                             CamelFolderChangeInfo *,
                                                             CamelException *ex);
    int                 camel_spool_summary_sync            (CamelSpoolSummary *cls,
                                                             gboolean expunge,
                                                             CamelFolderChangeInfo *,
                                                             CamelException *ex);
    CamelMessageInfo*   camel_spool_summary_add             (CamelSpoolSummary *cls,
                                                             CamelMimeMessage *msg,
                                                             const CamelMessageInfo *info,
                                                             CamelFolderChangeInfo *,
                                                             CamelException *ex);
    char*               camel_spool_summary_encode_x_evolution
                                                            (CamelSpoolSummary *cls,
                                                             const CamelMessageInfo *info);
    int                 camel_spool_summary_decode_x_evolution
                                                            (CamelSpoolSummary *cls,
                                                             const char *xev,
                                                             CamelMessageInfo *info);
    int                 camel_spool_summary_write_headers   (int fd,
                                                             struct _camel_header_raw *header,
                                                             char *xevline);

## Description

## Details

### CamelSpoolSummary

    typedef struct {
    	CamelMboxSummary parent;
    } CamelSpoolSummary;

### camel_spool_summary_construct ()

    void                camel_spool_summary_construct       (CamelSpoolSummary *new,
                                                             const char *filename,
                                                             const char *spool_name,
                                                             CamelIndex *index);

`new` :

`filename` :

`spool_name` :

`index` :

### camel_spool_summary_new ()

    CamelSpoolSummary*  camel_spool_summary_new             (struct _CamelFolder *,
                                                             const char *filename);

`Param1` :

`filename` :

Returns :

### camel_spool_summary_load ()

    int                 camel_spool_summary_load            (CamelSpoolSummary *cls,
                                                             int forceindex,
                                                             CamelException *ex);

`cls` :

`forceindex` :

`ex` :

Returns :

### camel_spool_summary_check ()

    int                 camel_spool_summary_check           (CamelSpoolSummary *cls,
                                                             CamelFolderChangeInfo *,
                                                             CamelException *ex);

`cls` :

`Param2` :

`ex` :

Returns :

### camel_spool_summary_sync ()

    int                 camel_spool_summary_sync            (CamelSpoolSummary *cls,
                                                             gboolean expunge,
                                                             CamelFolderChangeInfo *,
                                                             CamelException *ex);

`cls` :

`expunge` :

`Param3` :

`ex` :

Returns :

### camel_spool_summary_add ()

    CamelMessageInfo*   camel_spool_summary_add             (CamelSpoolSummary *cls,
                                                             CamelMimeMessage *msg,
                                                             const CamelMessageInfo *info,
                                                             CamelFolderChangeInfo *,
                                                             CamelException *ex);

`cls` :

`msg` :

`info` :

`Param4` :

`ex` :

Returns :

### camel_spool_summary_encode_x_evolution ()

    char*               camel_spool_summary_encode_x_evolution
                                                            (CamelSpoolSummary *cls,
                                                             const CamelMessageInfo *info);

`cls` :

`info` :

Returns :

### camel_spool_summary_decode_x_evolution ()

    int                 camel_spool_summary_decode_x_evolution
                                                            (CamelSpoolSummary *cls,
                                                             const char *xev,
                                                             CamelMessageInfo *info);

`cls` :

`xev` :

`info` :

Returns :

### camel_spool_summary_write_headers ()

    int                 camel_spool_summary_write_headers   (int fd,
                                                             struct _camel_header_raw *header,
                                                             char *xevline);

`fd` :

`header` :

`xevline` :

Returns :